import java.awt.*;
import java.net.URI;
import java.util.Scanner;

public class Program
{

    private static Scanner keyboard = new Scanner(System.in);

    public static void main(String[] args)
    {
        try
        {
            SmartVault smartVault = new SmartVault();

            System.out.println("Sign Up User");
            System.out.println("First Name:");
            String firstName = keyboard.nextLine();
            System.out.println("Last Name:");
            String lastName = keyboard.nextLine();
            System.out.println("Phone Number:");
            String phoneNumber = keyboard.nextLine();
            System.out.println("Account Name:");
            String accountName = keyboard.nextLine();
            System.out.println("Vault Name:");
            String vaultName = keyboard.nextLine();
            System.out.println("User Email:");
            String email = keyboard.nextLine();

            smartVault.signUpUser(firstName, lastName, phoneNumber, accountName, vaultName, email);

            System.out.println("User account has been created.");
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

        System.out.println("\nPress 'Enter' key to exit");
        keyboard.nextLine();
    }
}